Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
homepage.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false
| $Dealer = $ini->variable( "homepage", "DealerDescription" )
| $Distributor = $ini->variable( "homepage", "DistributorDescription" )
| $DistProdCats = $ini->variable( "homepage", "DistProdCats" )
| $DistThumbWidth = $ini->variable( "homepage", "DistThumbWidth" )
| $DistThumbHeight = $ini->variable( "homepage", "DistThumbHeight" )
| $DealerProdCats = $ini->variable( "homepage", "DealerProdCats" )
| $DealerThumbWidth = $ini->variable( "homepage", "DealerThumbWidth" )
| $DealerThumbHeight = $ini->variable( "homepage", "DealerThumbHeight" )
| $ArticleLimit = $ini->variable( "homepage", "ArticleLimit" )
| $ArticleThumbWidth = $ini->variable( "homepage", "ArticleThumbWidth" )
| $ArticleThumbHeight = $ini->variable( "homepage", "ArticleThumbHeight" )
| $HotDealsLimit = $ini->variable( "homepage", "HotDealsLimit" )
| $HotDealsThumbWidth = $ini->variable( "homepage", "HotDealsThumbWidth" )
| $HotDealsThumbHeight = $ini->variable( "homepage", "HotDealsThumbHeight" )
| $GalleryLimit = $ini->variable( "homepage", "GalleryLimit" )
| $CommentLimit = $ini->variable( "homepage", "CommentLimit" )
| $CommentLetterLimit = $ini->variable( "homepage", "CommentLetterLimit" )
| $Anonymous = $ini->variable( "eZForumMain", "AnonymousPoster" )
| $GalleryThumbWidth = $ini->variable( "homepage", "GalleryThumbWidth" )
| $GalleryThumbHeight = $ini->variable( "homepage", "GalleryThumbHeight" )
| $Language = $ini->variable( "eZUserMain", "Language" )
| $locale = new eZLocale( $Language )
| $t
| $distProdArray = explode(';', $DistProdCats)
| $dealerProdArray = explode(';', $DealerProdCats)
| $user =& eZUser::currentUser()
| $fei = 0
| $dei = 0
| $product = new eZProduct()
| $productList =& $product->hotDealProducts( $HotDealsLimit )
| $i = 0
if( $i< $GalleryLimit) | $imageCategories =& eZImageCategory::getAll($GalleryLimit)
| $iei =0
| $time = new eZDateTime()
| $messages =& eZForumMessage::lastMessages( $CommentLimit )
| $article = new eZArticle()
| $articleList =& $article->articles( "time", false, 0, $ArticleLimit )
if(isset( $GenerateStaticPage) and $GenerateStaticPage=="true" and $cachedFile !="") | else

## Variable Documentation

## ◆ $Anonymous

$Anonymous = $ini->variable( "eZForumMain", "AnonymousPoster" )

Definition at line 65 of file homepage.php.

## ◆ $article

$article = new eZArticle()

Definition at line 362 of file homepage.php.

## ◆ $ArticleLimit

$ArticleLimit = $ini->variable( "homepage", "ArticleLimit" )

Definition at line 56 of file homepage.php.

## ◆ $articleList

$articleList =& $article->articles( "time", false, 0, $ArticleLimit )

Definition at line 363 of file homepage.php.

## ◆ $ArticleThumbHeight

$ArticleThumbHeight = $ini->variable( "homepage", "ArticleThumbHeight" )

Definition at line 58 of file homepage.php.

## ◆ $ArticleThumbWidth

$ArticleThumbWidth = $ini->variable( "homepage", "ArticleThumbWidth" )

Definition at line 57 of file homepage.php.

## ◆ $CommentLetterLimit

$CommentLetterLimit = $ini->variable( "homepage", "CommentLetterLimit" )

Definition at line 64 of file homepage.php.

## ◆ $CommentLimit

$CommentLimit = $ini->variable( "homepage", "CommentLimit" )

Definition at line 63 of file homepage.php.

## ◆ $Dealer

$Dealer = $ini->variable( "homepage", "DealerDescription" )

Definition at line 48 of file homepage.php.

## ◆ $dealerProdArray

$dealerProdArray = explode(';', $DealerProdCats)

Definition at line 128 of file homepage.php.

## ◆ $DealerProdCats

$DealerProdCats = $ini->variable( "homepage", "DealerProdCats" )

Definition at line 53 of file homepage.php.

## ◆ $DealerThumbHeight

$DealerThumbHeight = $ini->variable( "homepage", "DealerThumbHeight" )

Definition at line 55 of file homepage.php.

## ◆ $DealerThumbWidth

$DealerThumbWidth = $ini->variable( "homepage", "DealerThumbWidth" )

Definition at line 54 of file homepage.php.

## ◆ $dei

$dei = 0

Definition at line 166 of file homepage.php.

## ◆ $distProdArray

$distProdArray = explode(';', $DistProdCats)

Definition at line 126 of file homepage.php.

## ◆ $DistProdCats

$DistProdCats = $ini->variable( "homepage", "DistProdCats" )

Definition at line 50 of file homepage.php.

## ◆ $Distributor

$Distributor = $ini->variable( "homepage", "DistributorDescription" )

Definition at line 49 of file homepage.php.

## ◆ $DistThumbHeight

$DistThumbHeight = $ini->variable( "homepage", "DistThumbHeight" )

Definition at line 52 of file homepage.php.

## ◆ $DistThumbWidth

$DistThumbWidth = $ini->variable( "homepage", "DistThumbWidth" )

Definition at line 51 of file homepage.php.

## ◆ $fei

$fei = 0

Definition at line 132 of file homepage.php.

## ◆ $GalleryLimit

$GalleryLimit = $ini->variable( "homepage", "GalleryLimit" )

Definition at line 62 of file homepage.php.

## ◆ $GalleryThumbHeight

$GalleryThumbHeight = $ini->variable( "homepage", "GalleryThumbHeight" )

Definition at line 67 of file homepage.php.

## ◆ $GalleryThumbWidth

$GalleryThumbWidth = $ini->variable( "homepage", "GalleryThumbWidth" )

Definition at line 66 of file homepage.php.

## ◆ $HotDealsLimit

$HotDealsLimit = $ini->variable( "homepage", "HotDealsLimit" )

Definition at line 59 of file homepage.php.

## ◆ $HotDealsThumbHeight

$HotDealsThumbHeight = $ini->variable( "homepage", "HotDealsThumbHeight" )

Definition at line 61 of file homepage.php.

## ◆ $HotDealsThumbWidth

$HotDealsThumbWidth = $ini->variable( "homepage", "HotDealsThumbWidth" )

Definition at line 60 of file homepage.php.

## ◆ $i

$i = 0

Definition at line 205 of file homepage.php.

## ◆ $iei

$iei =0

Definition at line 277 of file homepage.php.

## ◆ $imageCategories

if ($i< $GalleryLimit) $imageCategories | ( |  | ) | =& eZImageCategory::getAll($GalleryLimit)

Definition at line 276 of file homepage.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 45 of file homepage.php.

## ◆ $Language

$Language = $ini->variable( "eZUserMain", "Language" )

Definition at line 68 of file homepage.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 70 of file homepage.php.

## ◆ $messages

$messages =& eZForumMessage::lastMessages( $CommentLimit )

Definition at line 328 of file homepage.php.

Referenced by eZTSTranslator\handleContextNode(), eZContentObjectState\isValid(), eZContentObjectStateGroup\isValid(), eZContentObjectStateGroupLanguage\isValid(), and eZContentObjectStateLanguage\isValid().

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false

Definition at line 47 of file homepage.php.

Referenced by renderFrontpageProduct(), and renderFrontpageProductDouble().

## ◆ $product

$product = new eZProduct()

Definition at line 202 of file homepage.php.

Referenced by eZProduct\activeProductSearch(), eZCart\cartTotals(), eZOrderConfirmation\confirm(), eZCartItem\correctPrice(), eZVoucher\correctPrice(), eZVoucherUsed\correctPrice(), eZVoucherInformation\correctPrice(), eZCartItem\correctSavings(), eZProductCategory\delete(), eZProductTool\deleteCache(), deleteCache(), eZProduct\findProductNumber(), eZProduct\getByRemoteID(), eZProduct\hotDealProducts(), eZFreeTradeImport\importOptions(), eZFreeTradeImport\importProducts(), eZProductSupplier\item(), eZFreeTradeImport\makeLinks(), eZWishListItem\moveToCart(), newOrders(), eZOrder\orderTotals(), eZCartItem\price(), eZWishListItem\price(), renderFrontpageProduct(), eZOrderConfirmation\sendMail(), eZCartItem\setProduct(), eZOrderItem\setProduct(), eZWishListItem\setProduct(), eZVoucher\setProduct(), eZProductAttribute\setValue(), eZCart\shippingCost(), eZOrder\soldProducts(), eZProductSupplier\urlList(), eZProductAttribute\value(), and eZOrder\voucherTotal().

## ◆ $productList

$productList =& $product->hotDealProducts( $HotDealsLimit )

Definition at line 203 of file homepage.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/intl", $Language, "homepage.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: homepage.php:68
$ini
$ini
Definition: homepage.php:45

Definition at line 72 of file homepage.php.

## ◆ $time

$time = new eZDateTime()

Definition at line 327 of file homepage.php.

Referenced by eZDFSFileHandlerMySQLiBackend\_checkCacheGenerationTimeout(), eZDFSFileHandlerMySQLiBackend\_query(), eZDFSFileHandlerMySQLiBackend\_selectOne(), eZTime\add(), eZDebug\addTimingPoint(), eZPageView\dateTime(), eZGroupEvent\duration(), eZTime\equals(), eZPBLog\error(), eZCharTransform\executeCacheFile(), eZOrder\expiringOrders(), eZLocale\format(), ezpRestDebugPHPFormatter\getGroups(), eZTime\isGreater(), newOrders(), eZPBLog\notice(), eZDebug\printReportInternal(), ezpbKernelAdmin\requestInit(), ezpbKernelWeb\requestInit(), ezpKernelWeb\requestInit(), eZAppointment\setDuration(), eZGroupEvent\setDuration(), eZProduct\setExpiryTime(), eZNews\setOriginalPublishingDate(), eZDebug\setScriptStart(), eZDebug\setScriptStop(), eZProduct\setStockDate(), eZAppointment\startTime(), eZGroupEvent\startTime(), eZAppointment\stopTime(), eZGroupEvent\stopTime(), eZPageView\store(), eZTime\subtract(), eZPBLog\warning(), eZLog\write(), eZDebug\writeFile(), and eZLog\writeStorageLog().

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 131 of file homepage.php.

## ◆ else

if (isset($GenerateStaticPage) and $GenerateStaticPage=="true" and $cachedFile !="") else

Initial value:
{
$t->pparse( "output", "homepage_tpl" )
$t
$t
Definition: homepage.php:72

Definition at line 441 of file homepage.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.